Bug 1272709 - mediatomb missed requirements
mediatomb missed requirements
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mediatomb (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 19:02 EDT by Van de Bugger
Modified: 2016-04-21 21:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: mediatomb-0.12.1-38.fc24.20120403gitb66dc1 mediatomb-0.12.1-38.fc23.20120403gitb66dc1 mediatomb-0.12.1-38.fc22.20120403gitb66dc1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 05:39:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Van de Bugger 2015-10-17 19:02:37 EDT
Description of problem:

mediatomb service uses external programs "route" and "ifconfig":

$ cat mediatomb.service
...
[Service]
...
ExecStartPre=-/usr/sbin/route add -net 239.0.0.0 netmask 255.0.0.0 $MT_INTERFACE
ExecStartPre=-/usr/sbin/ifconfig $MT_INTERFACE allmulti
ExecStart=/usr/bin/mediatomb ...
...

but rpm does not declare dependency on them. If these programs are not installed (e. g. in Fedora server in minimal configuration), starting the service causes errors.

Version-Release number of selected component (if applicable):

Fedora 22 server, minimal
mediatomb 0.12.1-34.fc22.20120403gitb66dc1

How reproducible:

Always

Steps to Reproduce:

1. # dnf remove net-tools
2. # dnf install mediatomb
3. Edit /etc/mediatomb.conf to specify MT_INTERFACE
4. # systemctl start mediatomb

Actual results:

# systemctl status mediatomb
...
systemd[1]: Starting UPnP MediaServer...
systemd[4644]: Failed at step EXEC spawning /usr/sbin/route: No such file or directory
systemd[4647]: Failed at step EXEC spawning /usr/sbin/ifconfig: No such file or directory
systemd[1]: Started UPnP MediaServer.

Expected results:

Service started with no errors.
Comment 1 Fedora Update System 2016-04-06 13:00:07 EDT
mediatomb-0.12.1-38.fc24.20120403gitb66dc1 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4167172744
Comment 2 Fedora Update System 2016-04-06 13:01:24 EDT
mediatomb-0.12.1-38.fc23.20120403gitb66dc1 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6104b6b7ff
Comment 3 Fedora Update System 2016-04-06 13:03:37 EDT
mediatomb-0.12.1-38.fc22.20120403gitb66dc1 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-94ff06eb91
Comment 4 Fedora Update System 2016-04-07 12:49:31 EDT
mediatomb-0.12.1-38.fc22.20120403gitb66dc1 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-94ff06eb91
Comment 5 Fedora Update System 2016-04-07 12:53:51 EDT
mediatomb-0.12.1-38.fc24.20120403gitb66dc1 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4167172744
Comment 6 Fedora Update System 2016-04-07 17:19:18 EDT
mediatomb-0.12.1-38.fc23.20120403gitb66dc1 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6104b6b7ff
Comment 7 Fedora Update System 2016-04-12 05:39:52 EDT
mediatomb-0.12.1-38.fc24.20120403gitb66dc1 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-04-21 21:25:25 EDT
mediatomb-0.12.1-38.fc23.20120403gitb66dc1 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-04-21 21:50:41 EDT
mediatomb-0.12.1-38.fc22.20120403gitb66dc1 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.